org.icefaces.ace.component.ajax

## Class AjaxBehaviorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - org.icefaces.ace.component.ajax.AjaxBehaviorHandlerBase
    - - org.icefaces.ace.component.ajax.AjaxBehaviorHandler

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

      public class AjaxBehaviorHandler
      extends AjaxBehaviorHandlerBase
      implements javax.faces.view.BehaviorHolderAttachedObjectHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `wrapping`

    - ### Fields inherited from class org.icefaces.ace.component.ajax.AjaxBehaviorHandlerBase

      `BEHAVIOR_ID, disabled, event, execute, immediate, listener, onComplete, onError, onStart, onSuccess, render`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxBehaviorHandler(javax.faces.view.facelets.TagConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addListenerToAjaxBehavior(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent, AjaxBehavior ajaxBehavior, java.lang.String eventName)`
    `void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
    `protected void` | `applyAttachedObject(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent, java.lang.String eventName, boolean calledOurselves)`
    `void` | `applyAttachedObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent parent)`
    `protected void` | `applyWrapping(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent, java.lang.String eventName)`
    `protected javax.faces.component.behavior.ClientBehavior` | `createAjaxBehavior(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent, java.lang.String eventName)`
    `protected java.lang.Class` | `deriveEventClass(javax.faces.component.UIComponent parent, java.lang.String eventName, java.lang.Class superArgEventClass)`
    `java.lang.String` | `getEventName()`
    `java.lang.String` | `getFor()`
    `protected boolean` | `isWrapping()`
    `protected void` | `setBehaviorAttribute(javax.faces.view.facelets.FaceletContext ctx, AjaxBehavior behavior, javax.faces.view.facelets.TagAttribute attr, org.icefaces.ace.component.ajax.AjaxBehavior.Property property)`
    `protected boolean` | `verifyAttachClientBehaviorHolder(java.lang.String eventName, javax.faces.component.behavior.ClientBehaviorHolder parentClientBehaviorHolder, boolean doThrow)`
    `protected void` | `verifyNestClientBehaviorHolderAndOrCompositeComp(boolean isClientBehaviorHolder, boolean isCompositeComponent)`
    `protected void` | `verifyNestCompositeCompBeanDescriptor(java.beans.BeanDescriptor beanDescriptor)`
    `protected void` | `verifyNestCompositeCompBeanInfo(java.beans.BeanInfo bi)`
    `protected boolean` | `verifyNestCompositeCompTakesBehaviorEvent(boolean isClientBehaviorHolder, java.util.List<javax.faces.view.AttachedObjectTarget> attachedObjectTargetList, java.lang.String eventName)`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wrapping

          protected final boolean wrapping

  - ### Constructor Detail

    - #### AjaxBehaviorHandler

          public AjaxBehaviorHandler(javax.faces.view.facelets.TagConfig config)

  - ### Method Detail

    - #### apply

          public void apply(javax.faces.view.facelets.FaceletContext ctx,
                            javax.faces.component.UIComponent parent)
                     throws java.io.IOException

      Specified by:
        `apply` in interface `javax.faces.view.facelets.FaceletHandler`
      Overrides:
        `apply` in class `AjaxBehaviorHandlerBase`
      Throws:
        `java.io.IOException`

    - #### isWrapping

          protected boolean isWrapping()

    - #### applyWrapping

          protected void applyWrapping(javax.faces.view.facelets.FaceletContext ctx,
                                       javax.faces.component.UIComponent parent,
                                       java.lang.String eventName)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getEventName

          public java.lang.String getEventName()

      Specified by:
        `getEventName` in interface `javax.faces.view.BehaviorHolderAttachedObjectHandler`
      See Also:
        `BehaviorHolderAttachedObjectHandler.getEventName()`

    - #### getFor

          public java.lang.String getFor()

      Specified by:
        `getFor` in interface `javax.faces.view.AttachedObjectHandler`
      See Also:
        `AttachedObjectHandler.getFor()`

    - #### applyAttachedObject

          public void applyAttachedObject(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent parent)

      Specified by:
        `applyAttachedObject` in interface `javax.faces.view.AttachedObjectHandler`
      See Also:
        `AttachedObjectHandler.applyAttachedObject(FacesContext, UIComponent)`

    - #### applyAttachedObject

          protected void applyAttachedObject(javax.faces.view.facelets.FaceletContext ctx,
                                             javax.faces.component.UIComponent parent,
                                             java.lang.String eventName,
                                             boolean calledOurselves)

    - #### createAjaxBehavior

          protected javax.faces.component.behavior.ClientBehavior createAjaxBehavior(javax.faces.view.facelets.FaceletContext ctx,
                                                                                     javax.faces.component.UIComponent parent,
                                                                                     java.lang.String eventName)

    - #### setBehaviorAttribute

          protected void setBehaviorAttribute(javax.faces.view.facelets.FaceletContext ctx,
                                              AjaxBehavior behavior,
                                              javax.faces.view.facelets.TagAttribute attr,
                                              org.icefaces.ace.component.ajax.AjaxBehavior.Property property)

    - #### addListenerToAjaxBehavior

          protected void addListenerToAjaxBehavior(javax.faces.view.facelets.FaceletContext ctx,
                                                   javax.faces.component.UIComponent parent,
                                                   AjaxBehavior ajaxBehavior,
                                                   java.lang.String eventName)

    - #### deriveEventClass

          protected java.lang.Class deriveEventClass(javax.faces.component.UIComponent parent,
                                                     java.lang.String eventName,
                                                     java.lang.Class superArgEventClass)

    - #### verifyNestClientBehaviorHolderAndOrCompositeComp

          protected void verifyNestClientBehaviorHolderAndOrCompositeComp(boolean isClientBehaviorHolder,
                                                                          boolean isCompositeComponent)

    - #### verifyNestCompositeCompBeanInfo

          protected void verifyNestCompositeCompBeanInfo(java.beans.BeanInfo bi)

    - #### verifyNestCompositeCompBeanDescriptor

          protected void verifyNestCompositeCompBeanDescriptor(java.beans.BeanDescriptor beanDescriptor)

    - #### verifyNestCompositeCompTakesBehaviorEvent

          protected boolean verifyNestCompositeCompTakesBehaviorEvent(boolean isClientBehaviorHolder,
                                                                      java.util.List<javax.faces.view.AttachedObjectTarget> attachedObjectTargetList,
                                                                      java.lang.String eventName)

    - #### verifyAttachClientBehaviorHolder

          protected boolean verifyAttachClientBehaviorHolder(java.lang.String eventName,
                                                             javax.faces.component.behavior.ClientBehaviorHolder parentClientBehaviorHolder,
                                                             boolean doThrow)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.